<?php
/**
 * Plugin Name: Page Table of Contents
 * Plugin URI: https://www.dorzki.io/building-dynamic-table-of-contents-on-wordpress/?utm_source=wordpress-plugin&utm_medium=plugin-uri&utm_campaign=tutorial-code
 * Description: Add automatically a dynamic table of contents to your page or post.
 * Version: 1.0.0
 * Requires at least: 5.0
 * Requires PHP: 7.4
 * Author: dorzki
 * Author URI: https://www.dorzki.io/?utm_source=wordpress-plugin&utm_medium=author-uri&utm_campaign=tutorial-code
 * License: GPL-2.0+
 * License URI: http://www.gnu.org/licenses/gpl-2.0.txt
 * Text Domain: dorzki-wp-toc
 *
 * @package    WordPress
 * @subpackage Plugins
 * @author     Dor Zuberi <admin@dorzki.io>
 * @link       https://www.dorzki.io
 * @version    1.0.0
 */

// Block if accessed directly.
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

// Plugin constants
if ( ! defined( 'DRZK_TOC_URL' ) ) {
	define( 'DRZK_TOC_URL', plugin_dir_url( __FILE__ ) );
}

if ( ! defined( 'DRZK_TOC_PATH' ) ) {
	define( 'DRZK_TOC_PATH', __DIR__ );
}


// Plugin Classes
require_once DRZK_TOC_PATH . '/class-plugin.php';
